﻿@model StarterProjectV2.ViewModels.OwnerRoomBookingManagementView
@{
    ViewData["Title"] = "Owner's Reservations - Remaining CheckOut";
}
<meta name="viewport" content="width=device-width, initial-scale=1.0">

@section PAGETITLE{
    Owner's Reservations (Remaining CheckOut)
}
<!DOCTYPE html>

<div class="card" style="margin-bottom: 0">
    <h2 class="text-center mt-3" style="color:indianred">@ViewData["Title"]</h2>

    <div class="card-body">


        <div class="table-responsive-lg" id="table">
            @{
                int noOfbooking = Model.OwnerRoomBookingListCurrent.Count();
            }
            @if (noOfbooking != 0)
            {
                <table id="mainTable1" data-pagination="true" class="table  table-light  table-hover" style="margin-bottom: 0">
                    <thead style="color: white; background-color:#315152">

                        <tr>

                            <th scope="col">Confirm</th>

                            <th scope="col">Booking Application Date</th>
                            <th scope="col">Booking No.</th>
                            <th scope="col">Slot Id</th>
                            <th scope="col">Main Guest Name</th>
                            <th scope="col">Main Guest Mobile</th>

                            <th scope="col">No of Adult</th>
                            <th scope="col">No of Child</th>
                            <th scope="col">No of Room</th>
                            <th scope="col">Arrival Date</th>
                            <th scope="col">Departure Date</th>

                            <th scope="col">Checked Out or Not</th>

                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var ownerRoomBooking in Model.OwnerRoomBookingListCurrent)
                        {
                            <tr>
                                <td>
                                    @if (ownerRoomBooking == Model.OwnerRoomBookingListCurrent.ElementAt(0))
                                    {
                                        <button class="btn btn-primary" data-target="#ConfirmModal-@ownerRoomBooking.OwnerRoomBookngId" data-toggle="modal"> Confirm </button>

                                        <div class="modal fade" tabindex="-1" id="ConfirmModal-@ownerRoomBooking.OwnerRoomBookngId" data-keyboard="false" data-backdrop="static">
                                            <div class="modal-dialog modal-lg">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal">
                                                            &times;
                                                        </button>
                                                        @*<h4 class="modal-title">Confirm</h4>*@
                                                    </div>
                                                    <div class="modal-body">

                                                        <form>
                                                            <div class="row">
                                                                <div class="col-sm-4 col-form-label d-flex justify-content-end">

                                                                    <label>Owner Has Checked Out or Not</label>
                                                                </div>
                                                                <div class="col-sm-6 col-lg-6 col-md-6">

                                                                    @Html.DropDownListFor(m => m.HasCheckedOutOrNot, new SelectList(new List<string> { "No", "Yes" }), new { @id = "HasCheckedOutOrNot", @class = "form-control" })
                                                                    <input type="hidden" name="name" id="OwnerRoomBookngId" value="@ownerRoomBooking.OwnerRoomBookngId" />
                                                                </div>
                                                                <div class="col-sm-4 col-form-label d-flex justify-content-end">
                                                                    <label>CheckOut Date</label>
                                                                </div>
                                                                <div class="col-sm-6 col-lg-6 col-md-6">
                                                                    @Html.TextBoxFor(m => m.CheckOutDate, "{0:dd-MM-yyyy}", new { @class = "form-control", @readonly = "readonly" })
                                                                </div>

                                                            </div>
                                                            @*}*@
                                                        </form>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <div>
                                                            <button type="button" id="btnInvoice" class="btn btn-green m-1">Invoice</button>
                                                        </div>
                                                        <div>
                                                            <button type="button" class="btn btn-info m-1" onclick="window.open('@Url.Action("InvoiceReport","Booking", new {bookingId= ownerRoomBooking.OwnerRoomBookngId})')">Print</button>
                                                        </div>

                                                        <button type="button" class="btn btn-primary" id="ConfirmForm" onclick="bookingTokenSubmit()">Submit</button>
                                                        <button type="button" class="btn btn-primary"
                                                                data-dismiss="modal">
                                                            Close
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        @*}*@
                                    }
                                </td>
                                @*<td>
                                        @using (Html.BeginForm("OwnerRoomBookingDelete", "OwnersInfo", new { ownerRoomBookingId = ownerRoomBooking.OwnerRoomBookngId }, FormMethod.Post))
                                        {
                                            <button type="submit"
                                                    class="btn btn-light"
                                                    data-toggle="tooltip"
                                                    data-placement="bottom"
                                                    title="Cancel"
                                                    onclick="functionforSMS()">
                                                <i class="icon-trash">
                                                </i>
                                            </button>
                                        }
                                    </td>*@
                                <td>@ownerRoomBooking.ApplicationDate.ToString("dd-MMM-yyyy hh:mm tt")</td>
                                @if (ownerRoomBooking.BookingToken == "" || ownerRoomBooking.BookingToken == null)
                                {
                                    <td>Not Assigned</td>
                                }
                                else
                                {
                                    <td>@ownerRoomBooking.BookingToken</td>
                                }
                                <td>@ownerRoomBooking.SlotId</td>
                                <td>@ownerRoomBooking.GuestNameMain</td>
                                <td>@ownerRoomBooking.GuestMobile</td>
                                @*<td>@ownerRoomBooking.Email</td>*@
                                <td>@ownerRoomBooking.NoOfAdult</td>
                                <td>@ownerRoomBooking.NoOfChild</td>
                                <td>@ownerRoomBooking.NoOfRoomRequested</td>
                                @{
                                    var Startdate = (ownerRoomBooking.CheckInDate);
                                    var val1 = Startdate.ToString("dd-MMM-yyyy");
                                    <td>@val1</td>
                                }
                                @{
                                    var Enddate = Convert.ToDateTime(ownerRoomBooking.CheckOutDate);
                                    var val2 = Enddate.ToString("dd-MMM-yyyy");
                                    <td>@val2</td>
                                }


                                <td>@ownerRoomBooking.HasCheckedOutOrNot</td>

                            </tr>
                        }

                    </tbody>
                </table>
            }
            else
            {
                <h3 align="center">No Current Room Bookings</h3>

            }
        </div>
        <div class="table-responsive-lg" id="js-table">
            <table id="dtBasicExample" data-pagination="true" class="table table-hover table-light" style="margin-bottom: 0"></table>
        </div>
        <div class="text-center" id="message">

        </div>


        <div class="card-footer">

            <div class="text-right">
                @if (Model.OwnerRoomBookingListCurrent.Count == 0)
                {

                    <button type="submit" class="btn btn-primary" id="Next" onclick="Next()">Next</button>
                }
                else
                {
                    <button type="submit" class="btn btn-primary" id="Next" disabled>Next</button>
                }
            </div>

        </div>
    </div>

</div>

<script>
    $("#btnInvoice").click(function () {
        var url = '@Url.Action("GenerateInvoice", "Booking")';
        var ownerRoomBookingId = $('#OwnerRoomBookngId').val();
        url = url + "?bookingId=" + ownerRoomBookingId;

        $.get(url, function (data, status) {

            showToastr(data.Status, data.Message);

        });
    });

</script>

<script>
    function bookingTokenSubmit() {
        var ownerRoomBookingId = $('#OwnerRoomBookngId').val();
        var hasCheckedOutOrNot = $("#HasCheckedOutOrNot").val();
        var checkOutDate = $('#CheckOutDate').val();
        var totalExpense = $("#TotalExpense").val();
        var extraCharges = $('#ExtraCharges').val();

        var myModel = {
            OwnerRoomBookngId: ownerRoomBookingId,
            HasCheckedOutOrNot: hasCheckedOutOrNot,
            CheckOutDate: checkOutDate,
            TotalExpense: totalExpense,
            ExtraCharges: extraCharges

        };

        $.ajax({
            context: this,
            type: 'post',
            url: '../OwnersInfo/HasCheckedOutorNot/',
            data: myModel,
            success: function (data) {

                showToastr(data.Status, data.Message);

                if (data.Status != "Fail") {
                    window.location.href = "/OwnersInfo/CheckRemainingOwnerCheckOutManagement";
                }

            },
            error: function () {
                //error();
            }
        });
    }
</script>
<script type="text/javascript">
        $("#Next").click(function () {
            window.location = '@Url.Action("CheckRemainingReferralCheckOutManagement", "OwnersInfo")' ;

            });
</script>



<script>
    $("#" + @Model.index).addClass("active");
</script>



<script>
    $(document).ready(function() {

        $("#newItem").remove();
        $("#editItem").remove();
        $("#saveItem").remove();
        $("#deleteItem").remove();
        $("#saveItem").remove();
        $("#reportItem").remove();
        $('#printItem').click(function(){
            window.print();
        });
           @*$("#newItem").click(function() {
            document.location = '@Url.Action("BookingCreate", "OwnersInfo")';
        });*@
        $('#reloadItem').click(function() {
            location.reload();
        });
        @*$("#reportItem").click(function() {
         document.location = '@Url.Action("Report", "OwnersInfo")';
        });*@
        @*$("#reportItem").remove();*@
        @*$("#dashboardItem").click(function() {
            document.location = '@Url.Action("ExportExcel", "OwnersInfo")';
        });*@
        @*$("#reportItem").click(function() {
            document.location = '@Url.Action("RoomReport", "OwnersInfo")';
        });*@

    });


</script>
